---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: homeassistant-ingress-route
  namespace: smarthome
spec:
  entryPoints:
    - web
  routes:
  - match: Host(`homeassistant.dezendorf.net`)
    kind: Rule
    middlewares:
    - name: redirecthttps
    services:
    - name: homeassistant-service
      port: 8123
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: homeassistant-websecure-route
  namespace: smarthome
spec:
  entryPoints:
    - websecure
  routes:
  - match: Host(`homeassistant.dezendorf.net`)
    kind: Rule
    services:
    - name: homeassistant-service
      port: 8123
  tls:
    certResolver: myresolver

---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: homebridge-ingress-route
  namespace: smarthome
spec:
  entryPoints:
    - web
  routes:
  - match: Host(`homebridge.dezendorf.net`)
    kind: Rule
    middlewares:
    - name: redirecthttps
    services:
    - name: homebridge-service
      port: 8581
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: homebridge-websecure-route
  namespace: smarthome
spec:
  entryPoints:
    - websecure
  routes:
  - match: Host(`homebridge.dezendorf.net`)
    kind: Rule
    services:
    - name: homebridge-service
      port: 8581
  tls:
    certResolver: myresolver
